// package: bet.beteran.c2se.member_level
// file: c2se/member_level.proto

import * as jspb from "google-protobuf";
import * as protobuf_rpc_pb from "../protobuf/rpc_pb";
import * as protobuf_pagination_pb from "../protobuf/pagination_pb";
import * as models_member_level_pb from "../models/member_level_pb";

export class CreateMemberLevelRequest extends jspb.Message {
  getName(): string;
  setName(value: string): void;

  getShow(): boolean;
  setShow(value: boolean): void;

  getSortOrder(): number;
  setSortOrder(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberLevelRequest.AsObject;
  static toObject(includeInstance: boolean, msg: CreateMemberLevelRequest): CreateMemberLevelRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: CreateMemberLevelRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberLevelRequest;
  static deserializeBinaryFromReader(message: CreateMemberLevelRequest, reader: jspb.BinaryReader): CreateMemberLevelRequest;
}

export namespace CreateMemberLevelRequest {
  export type AsObject = {
    name: string,
    show: boolean,
    sortOrder: number,
  }
}

export class CreateMemberLevelResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): CreateMemberLevelResponse.Result | undefined;
  setResult(value?: CreateMemberLevelResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): CreateMemberLevelResponse.AsObject;
  static toObject(includeInstance: boolean, msg: CreateMemberLevelResponse): CreateMemberLevelResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: CreateMemberLevelResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): CreateMemberLevelResponse;
  static deserializeBinaryFromReader(message: CreateMemberLevelResponse, reader: jspb.BinaryReader): CreateMemberLevelResponse;
}

export namespace CreateMemberLevelResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: CreateMemberLevelResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberLevel(): boolean;
    clearMemberLevel(): void;
    getMemberLevel(): models_member_level_pb.MemberLevel | undefined;
    setMemberLevel(value?: models_member_level_pb.MemberLevel): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberLevel?: models_member_level_pb.MemberLevel.AsObject,
    }
  }
}

export class ListMemberLevelsRequest extends jspb.Message {
  hasPagination(): boolean;
  clearPagination(): void;
  getPagination(): protobuf_pagination_pb.Pagination | undefined;
  setPagination(value?: protobuf_pagination_pb.Pagination): void;

  clearSortsList(): void;
  getSortsList(): Array<protobuf_pagination_pb.Sort>;
  setSortsList(value: Array<protobuf_pagination_pb.Sort>): void;
  addSorts(value?: protobuf_pagination_pb.Sort, index?: number): protobuf_pagination_pb.Sort;

  hasSearch(): boolean;
  clearSearch(): void;
  getSearch(): ListMemberLevelsRequest.Search | undefined;
  setSearch(value?: ListMemberLevelsRequest.Search): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMemberLevelsRequest.AsObject;
  static toObject(includeInstance: boolean, msg: ListMemberLevelsRequest): ListMemberLevelsRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: ListMemberLevelsRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): ListMemberLevelsRequest;
  static deserializeBinaryFromReader(message: ListMemberLevelsRequest, reader: jspb.BinaryReader): ListMemberLevelsRequest;
}

export namespace ListMemberLevelsRequest {
  export type AsObject = {
    pagination?: protobuf_pagination_pb.Pagination.AsObject,
    sortsList: Array<protobuf_pagination_pb.Sort.AsObject>,
    search?: ListMemberLevelsRequest.Search.AsObject,
  }

  export class Search extends jspb.Message {
    hasNameLike(): boolean;
    clearNameLike(): void;
    getNameLike(): string;
    setNameLike(value: string): void;

    hasShow(): boolean;
    clearShow(): void;
    getShow(): boolean;
    setShow(value: boolean): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Search.AsObject;
    static toObject(includeInstance: boolean, msg: Search): Search.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Search, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Search;
    static deserializeBinaryFromReader(message: Search, reader: jspb.BinaryReader): Search;
  }

  export namespace Search {
    export type AsObject = {
      nameLike: string,
      show: boolean,
    }
  }
}

export class ListMemberLevelsResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): ListMemberLevelsResponse.Result | undefined;
  setResult(value?: ListMemberLevelsResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): ListMemberLevelsResponse.AsObject;
  static toObject(includeInstance: boolean, msg: ListMemberLevelsResponse): ListMemberLevelsResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: ListMemberLevelsResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): ListMemberLevelsResponse;
  static deserializeBinaryFromReader(message: ListMemberLevelsResponse, reader: jspb.BinaryReader): ListMemberLevelsResponse;
}

export namespace ListMemberLevelsResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: ListMemberLevelsResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    clearMemberLevelsList(): void;
    getMemberLevelsList(): Array<models_member_level_pb.MemberLevel>;
    setMemberLevelsList(value: Array<models_member_level_pb.MemberLevel>): void;
    addMemberLevels(value?: models_member_level_pb.MemberLevel, index?: number): models_member_level_pb.MemberLevel;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberLevelsList: Array<models_member_level_pb.MemberLevel.AsObject>,
    }
  }
}

export class GetMemberLevelRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberLevelRequest.AsObject;
  static toObject(includeInstance: boolean, msg: GetMemberLevelRequest): GetMemberLevelRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: GetMemberLevelRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberLevelRequest;
  static deserializeBinaryFromReader(message: GetMemberLevelRequest, reader: jspb.BinaryReader): GetMemberLevelRequest;
}

export namespace GetMemberLevelRequest {
  export type AsObject = {
    id: string,
  }
}

export class GetMemberLevelResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): GetMemberLevelResponse.Result | undefined;
  setResult(value?: GetMemberLevelResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): GetMemberLevelResponse.AsObject;
  static toObject(includeInstance: boolean, msg: GetMemberLevelResponse): GetMemberLevelResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: GetMemberLevelResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): GetMemberLevelResponse;
  static deserializeBinaryFromReader(message: GetMemberLevelResponse, reader: jspb.BinaryReader): GetMemberLevelResponse;
}

export namespace GetMemberLevelResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: GetMemberLevelResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberLevel(): boolean;
    clearMemberLevel(): void;
    getMemberLevel(): models_member_level_pb.MemberLevel | undefined;
    setMemberLevel(value?: models_member_level_pb.MemberLevel): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberLevel?: models_member_level_pb.MemberLevel.AsObject,
    }
  }
}

export class UpdateMemberLevelRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  getName(): string;
  setName(value: string): void;

  getShow(): boolean;
  setShow(value: boolean): void;

  getSortOrder(): number;
  setSortOrder(value: number): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberLevelRequest.AsObject;
  static toObject(includeInstance: boolean, msg: UpdateMemberLevelRequest): UpdateMemberLevelRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: UpdateMemberLevelRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberLevelRequest;
  static deserializeBinaryFromReader(message: UpdateMemberLevelRequest, reader: jspb.BinaryReader): UpdateMemberLevelRequest;
}

export namespace UpdateMemberLevelRequest {
  export type AsObject = {
    id: string,
    name: string,
    show: boolean,
    sortOrder: number,
  }
}

export class UpdateMemberLevelResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): UpdateMemberLevelResponse.Result | undefined;
  setResult(value?: UpdateMemberLevelResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): UpdateMemberLevelResponse.AsObject;
  static toObject(includeInstance: boolean, msg: UpdateMemberLevelResponse): UpdateMemberLevelResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: UpdateMemberLevelResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): UpdateMemberLevelResponse;
  static deserializeBinaryFromReader(message: UpdateMemberLevelResponse, reader: jspb.BinaryReader): UpdateMemberLevelResponse;
}

export namespace UpdateMemberLevelResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: UpdateMemberLevelResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    hasMemberLevel(): boolean;
    clearMemberLevel(): void;
    getMemberLevel(): models_member_level_pb.MemberLevel | undefined;
    setMemberLevel(value?: models_member_level_pb.MemberLevel): void;

    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
      memberLevel?: models_member_level_pb.MemberLevel.AsObject,
    }
  }
}

export class DeleteMemberLevelRequest extends jspb.Message {
  getId(): string;
  setId(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberLevelRequest.AsObject;
  static toObject(includeInstance: boolean, msg: DeleteMemberLevelRequest): DeleteMemberLevelRequest.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: DeleteMemberLevelRequest, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberLevelRequest;
  static deserializeBinaryFromReader(message: DeleteMemberLevelRequest, reader: jspb.BinaryReader): DeleteMemberLevelRequest;
}

export namespace DeleteMemberLevelRequest {
  export type AsObject = {
    id: string,
  }
}

export class DeleteMemberLevelResponse extends jspb.Message {
  hasError(): boolean;
  clearError(): void;
  getError(): protobuf_rpc_pb.Error | undefined;
  setError(value?: protobuf_rpc_pb.Error): void;

  hasResult(): boolean;
  clearResult(): void;
  getResult(): DeleteMemberLevelResponse.Result | undefined;
  setResult(value?: DeleteMemberLevelResponse.Result): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): DeleteMemberLevelResponse.AsObject;
  static toObject(includeInstance: boolean, msg: DeleteMemberLevelResponse): DeleteMemberLevelResponse.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: DeleteMemberLevelResponse, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): DeleteMemberLevelResponse;
  static deserializeBinaryFromReader(message: DeleteMemberLevelResponse, reader: jspb.BinaryReader): DeleteMemberLevelResponse;
}

export namespace DeleteMemberLevelResponse {
  export type AsObject = {
    error?: protobuf_rpc_pb.Error.AsObject,
    result?: DeleteMemberLevelResponse.Result.AsObject,
  }

  export class Result extends jspb.Message {
    serializeBinary(): Uint8Array;
    toObject(includeInstance?: boolean): Result.AsObject;
    static toObject(includeInstance: boolean, msg: Result): Result.AsObject;
    static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
    static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
    static serializeBinaryToWriter(message: Result, writer: jspb.BinaryWriter): void;
    static deserializeBinary(bytes: Uint8Array): Result;
    static deserializeBinaryFromReader(message: Result, reader: jspb.BinaryReader): Result;
  }

  export namespace Result {
    export type AsObject = {
    }
  }
}

